import { cookies } from "next/headers";

export async function getUser() {
  const cookieStore = cookies();
  const raw =
    cookieStore.get("access_token") &&
    cookieStore.get("refresh_token") &&
    cookieStore.get("uuid") &&
    cookieStore.get("userInfo");
  if (!raw) return null;
  return raw;
}
